Finanzberichte abrufen
Gibt GuV-, Bilanz- oder SuSa-Daten für einen angegebenen Zeitraum zurück.
GET
/v1/reports Authorization
Authorization string header erforderlich API-Key im Format
ll_.... Übergabe als Bearer Token. Query-Parameter
type string erforderlich
"guv", "bilanz" oder "susa" startDate string optional Start-Datum (YYYY-MM-DD)
endDate string optional End-Datum (YYYY-MM-DD)
Antworten
200
Erfolgreich
400
INVALID_INPUT Der Report-Typ oder das Datumsformat ist ungültig.
GET
cURL /v1/reports -cmd">curl --request -method">GET -punct">\
--url 'https://api.ledgerlou.de/v1/reports' -punct">\
--header 'Authorization: Bearer ll_your_key' 200 Response
JSON Bei `type=bilanz` wird automatisch eine synthetische Zeile `Periodenergebnis` im Eigenkapital ergänzt, wenn das Periodenergebnis ≠ 0 ist.[
{
"number": "<string>",
"name": "<string>",
"type": "<string>",
"category": "<string>",
"report_group": "<string>",
"debit_total": 1,
"credit_total": 1,
"balance": 1
}
]